
Katello - Bug #4689

api v2 system update - passing content_view_id=nil errors

03/18/2014 08:04 PM - Thomas McKay

Status: Closed   

Priority: Urgent   

Assignee: David Davis   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Creating a system in Library with content_view_id=nil puts it in the "Default Organization View" CV. Passing nil to update errors.

Suggest either allow https://localhost:3000/katello/api/v2/content_views?organization_id=megacorp to return "Default Organization

View" so the ID may be retrieved and then require it on both create and update, or allow nil to be passed to update.

Associated revisions

Revision adc3eca8 - 03/22/2014 06:53 PM - David Davis

Fixes #4689 - Handle default content views in API/CLI

Revision 017c63dd - 03/22/2014 10:53 PM - David Davis

Fixes #4689 - Handle default content views in API/CLI

Revision 87bad037 - 03/24/2014 10:23 AM - David Davis

Merge pull request #3857 from daviddavis/temp/20140320170446

refs #4689 - Handle default content views in API/CLI

Revision a7bcb241 - 03/24/2014 02:23 PM - David Davis

Merge pull request #3857 from daviddavis/temp/20140320170446

refs #4689 - Handle default content views in API/CLI

History

#1 - 03/18/2014 10:32 PM - David Davis

- Assignee changed from David Davis to Thomas McKay

#2 - 03/18/2014 10:33 PM - David Davis

There are a couple items on the back log item dealing with this and I may or may not work on that depending on who does what.

http://pad-katello.rhcloud.com/p/convent_view_backlog

If you want, you can add this bug to the back log so that whoever works on them can update this bug but we're already aware of this.

#3 - 03/18/2014 11:02 PM - Thomas McKay

@daviddavis - what is the solution to this? (ie. do you wish to return the default CV id, or accept nil?). It seems fairly trivial to fix in the API and I could

submit patch.

#4 - 03/19/2014 04:58 PM - David Davis

I'm torn. Actually I'd be ok with either or even both.

#5 - 03/20/2014 01:49 PM - David Davis
https://localhost:3000/katello/api/v2/content_views?organization_id=megacorp
http://pad-katello.rhcloud.com/p/convent_view_backlog


- Assignee changed from Thomas McKay to David Davis

- Priority changed from High to Urgent

#6 - 03/20/2014 05:22 PM - David Davis

- Status changed from New to Assigned

#7 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#8 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#9 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#10 - 03/24/2014 02:52 PM - David Davis

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:017c63dd96fc789c920180916bdfc33ff339a8fd.

#11 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
